# Interface AnnotationData

All Known Implementing Classes:
  `IntegralData, IntegrationDialog, JSVDialog, MeasurementData, MeasurementsDialog, OverlayLegendDialog, PeakData, PeakListDialog, ViewsDialog`

public interface AnnotationData

## Method Summary

Modifier and Type
Method
Description
`Annotation.AType`
`getAType()`
`MeasurementData`
`getData()`
`String`
`getGraphSetKey()`
`Parameters`
`getParameters()`
`Spectrum`
`getSpectrum()`
`boolean`
`getState()`
`boolean`
`isDialog()`
`boolean`
`isVisible()`
`void`
`setGraphSetKey(String key)`
`void`
`setSpecShift(double dx)`
`void`
`setState(boolean b)`

## Method Details

### setSpecShift

void setSpecShift(double dx)

### getAType

Annotation.AType getAType()

### getData

MeasurementData getData()

### getGraphSetKey

String getGraphSetKey()

### getParameters

Parameters getParameters()

### getSpectrum

Spectrum getSpectrum()

### getState

boolean getState()

### isVisible

boolean isVisible()

### setGraphSetKey

void setGraphSetKey(String key)

### setState

void setState(boolean b)

### isDialog

boolean isDialog()